Restore Files
Restores files from an Eon snapshot.
This operation is asynchronous. It triggers a restore job and returns a job ID, which can be used to track the progress of the restore job. You can follow the progress of the restore job by calling Get Restore Job with the job ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
projectId
ID of the project the snapshot is in. You can get your project ID from the API Credentials page in your global management console.
id
Eon-assigned resource ID.
snapshotId
ID of the Eon snapshot to restore.
Request
This endpoint expects an object.
destination
files
List of file paths to restore.
restoreAccountId
Eon-assigned ID of the restore account.
Response
Restore job started.
jobId
Restore job ID.
Errors
404
Not Found Error